package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany; 
import com.jasamedika.medifirst2000.helper.Caption;

public class CheckInVO extends MedicalRecordTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "PuasaFk")
	@Caption(value="Puasa")
	private PuasaVO puasa;
	
	@ManyToOne
	@JoinColumn(name = "JenisOperasiFk")
	@Caption(value="JenisOperasi")
	private JenisOperasiVO jenisOperasi;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "checkIn")
	private Set<PengobatanKhususDetailVO> pengobatanKhusus=new HashSet<PengobatanKhususDetailVO>();
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "checkIn")
	private Set<AlatTerpasangDetailVO> alatTerpasang=new HashSet<AlatTerpasangDetailVO>();
	
	
	@Column(name = "BeratBadan")
	@Caption(value="Berat Badan")
	private Integer beratBadan;
	
	@Column(name = "TinggiBadan")
	@Caption(value="Tinggi Badan")
	private Integer tinggiBadan;
	
	@Column(name = "MakanMinumTerakhir")
	@Caption(value="Makan Minum Terakhir")
	private Integer makanMinumTerakhir;
	
	@Column(name = "Jumlah")
	@Caption(value="Jumlah")
	private Integer jumlah;
	
	@Column(name = "Kesadaran")
	@Caption(value="Kesadaran")
	private String kesadaran;
	
	@Column(name = "TD")
	@Caption(value="TD")
	private String td;
	
	@Column(name = "N")
	@Caption(value="N")
	private String n;
	
	@Column(name = "RR")
	@Caption(value="RR")
	private String rr;

	public PuasaVO getPuasa() {
		return puasa;
	}

	public void setPuasa(PuasaVO puasa) {
		this.puasa = puasa;
	}

	public JenisOperasiVO getJenisOperasi() {
		return jenisOperasi;
	}

	public void setJenisOperasi(JenisOperasiVO jenisOperasi) {
		this.jenisOperasi = jenisOperasi;
	}

	public Set<PengobatanKhususDetailVO> getPengobatanKhusus() {
		return pengobatanKhusus;
	}

	public void setPengobatanKhusus(Set<PengobatanKhususDetailVO> pengobatanKhusus) {
		this.pengobatanKhusus = pengobatanKhusus;
	}

	public Set<AlatTerpasangDetailVO> getAlatTerpasang() {
		return alatTerpasang;
	}

	public void setAlatTerpasang(Set<AlatTerpasangDetailVO> alatTerpasang) {
		this.alatTerpasang = alatTerpasang;
	}

	public Integer getBeratBadan() {
		return beratBadan;
	}

	public void setBeratBadan(Integer beratBadan) {
		this.beratBadan = beratBadan;
	}

	public Integer getTinggiBadan() {
		return tinggiBadan;
	}

	public void setTinggiBadan(Integer tinggiBadan) {
		this.tinggiBadan = tinggiBadan;
	}

	public Integer getMakanMinumTerakhir() {
		return makanMinumTerakhir;
	}

	public void setMakanMinumTerakhir(Integer makanMinumTerakhir) {
		this.makanMinumTerakhir = makanMinumTerakhir;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}

	public String getKesadaran() {
		return kesadaran;
	}

	public void setKesadaran(String kesadaran) {
		this.kesadaran = kesadaran;
	}

	public String getTd() {
		return td;
	}

	public void setTd(String td) {
		this.td = td;
	}

	public String getN() {
		return n;
	}

	public void setN(String n) {
		this.n = n;
	}

	public String getRr() {
		return rr;
	}

	public void setRr(String rr) {
		this.rr = rr;
	}	

}
